<div class="create-competition-container">
  <header class="app-header">
    <button class="back-button" (click)="goBack()">
      ←
    </button>
    <h1 class="app-title">Create Competition</h1>
  </header>
  <form [formGroup]="competitionForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
      <label for="name">Competition Name:</label>
      <input type="text" id="name" formControlName="name" class="form-control">
    </div>
    <div class="form-group">
      <label for="participants">Participants (comma-separated):</label>
      <textarea id="participants" formControlName="participants" class="form-control" rows="4"></textarea>
    </div>
    <div class="form-group">
      <label for="scoringSystem">Scoring System:</label>
      <input type="text" id="scoringSystem" formControlName="scoringSystem" class="form-control">
    </div>
    <button mat-raised-button color="primary">Create Competition</button>
  </form>
  <div>
    <h2>Schedule</h2>
    <ul>
      <li style="margin:10px"*ngFor="let round of schedule">
        {{ round }}
      </li>
    </ul>
  </div>  
</div>
